Vault
/sys/billing/overview
The /sys/billing/overview endpoint returns a monthly overview of usage data relevant to usage-based licensing for the current and previous months.
Vault updates current-month metrics every 10 minutes. Refer to the updated_at field in monthly response data to determine when Vault last updated the billing metrics for each month.
| Method | Path |
|---|---|
GET | /sys/billing/overview |
Request parameters
refresh_data(boolean: false)- When set totrue, Vault recalculates all billing metrics and stores the new metrics. Leaverefresh_dataunset, or set tofalse, to return data as of when it was last calculated. Recalculating metrics consumes server resources and may cause performance issues if done too frequently.
Sample request
$ curl --header "X-Vault-Token: ${VAULT_TOKEN}" \
"${VAULT_ADDR}/v1/sys/billing/overview?refresh_data=false"
Sample response
{
"months": [
{
"month": "2026-01",
"updated_at": "2026-01-14T10:49:00Z",
"usage_metrics": [
{
"metric_name": "static_secrets",
"metric_data": {
"total": 10,
"metric_details": [
{ "type": "kv", "count": 10 }
]
}
},
{
"metric_name": "dynamic_roles",
"metric_data": {
"total": 130,
"metric_details": [
{ "type": "aws_dynamic", "count": 10 },
{ "type": "azure_dynamic", "count": 10 },
{ "type": "database_dynamic", "count": 10 },
{ "type": "gcp_dynamic", "count": 10 },
{ "type": "ldap_dynamic", "count": 10 },
{ "type": "openldap_dynamic", "count": 10 },
{ "type": "alicloud_dynamic", "count": 10 },
{ "type": "rabbitmq_dynamic", "count": 10 },
{ "type": "consul_dynamic", "count": 10 },
{ "type": "nomad_dynamic", "count": 10 },
{ "type": "kubernetes_dynamic", "count": 10 },
{ "type": "mongodbatlas_dynamic", "count": 10 },
{ "type": "terraform_dynamic", "count": 10 }
]
}
},
{
"metric_name": "auto_rotated_roles",
"metric_data": {
"total": 70,
"metric_details": [
{ "type": "aws_static", "count": 10 },
{ "type": "azure_static", "count": 10 },
{ "type": "database_static", "count": 10 },
{ "type": "gcp_static", "count": 10 },
{ "type": "gcp_impersonated", "count": 10 },
{ "type": "ldap_static", "count": 10 },
{ "type": "openldap_static", "count": 10 }
]
}
},
{
"metric_name": "kmip",
"metric_data": {
"used_in_month": true
}
},
{
"metric_name": "pki_units",
"metric_data": { "total": 100.1234 }
},
{
"metric_name": "ssh_units",
"metric_data": {
"total": 100.2468,
"metric_details": [
{ "type": "otp_units", "count": 50.1234 },
{ "type": "certificate_units", "count": 50.1234 }
]
}
},
{
"metric_name": "external_plugins",
"metric_data": { "total": 100 }
},
{
"metric_name": "data_protection_calls",
"metric_data": {
"total": 220,
"metric_details": [
{ "type": "transit", "count": 200 },
{ "type": "transform", "count": 220 }
]
}
},
{
"metric_name": "managed_keys",
"metric_data": {
"total": 220,
"metric_details": [
{ "type": "kmse", "count": 200 },
{ "type": "totp", "count": 220 }
]
}
}
]
},
{
"month": "2025-12",
"updated_at": "2025-12-31T23:59:59Z",
"usage_metrics": [
// ...
]
}
]
}